ooRexx 4.0/3.2 compatibility?

Developers
2009-04-06
2012-08-14
  • Gregori Bliznets

    Hello All,
    As I see, ooRexx 4.0 refuses .cls created by prior ooRexx version (3.2). I though it could be a problem -- program distributed without source source can't be used anymore... As far as I remember, IBM also updated .cls format in the past, but offer a re-tokenizer rexxrt to convert to pre-2.1 format as well: rexxrt [/1|/2] oldfile newfile

     
    • Rick McGuire

      Rick McGuire - 2009-04-06

      4.0 is not able to execute sourceless files from previous releases and the changes to the file format are too extensive to make a migration utility feasible this time.

      Some of the file format changes were targetted at reducing the number of situations where release-to-release compatibility is an issue, so hopefully this is a one-time breakage.

       

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks